Paquet manquant - libqt5concurrent5

Tags: #<Tag:0x00007f78b68a20b0>

Bonjour,

Étant novice à la base sur tout ce qui a rapport avec avec les systèmes GNU/Linux, je commence à me familiariser avec Debian (LXDE) sur un petit ordinateur portable dédié.
Je fais face à un problème dont je ne trouve pas de solution pour le moment; je cherche à installer le logiciel OpenScad. Son installation nécessite l’installation du paquet libqt5concurrent5 mais ce dernier est introuvable. Je ne peux donc pas exécuter OpenScad.

Voici le message qui s’affiche:

W: Échec de la récupération de http://deb.debian.org/debian/pool/main/q/qtbase-opensource-src/libqt5concurrent5_5.11.3+dfsg1-1_amd64.deb
  404  Not Found [IP : 151.101.120.204 80]

D’après ce que je comprends, il faut éditer le fichier sources.list par le biais du Terminal en se mettant en mode SuperUtilsateur afin d’ajouter l’adresse d’une source valide ou se trouverait libqt5concurrent5.
Je n’ai pas de difficultés pour me mettre en position de pouvoir éditer le fichier sources.list (en utilsant Nano) mais je ne sais pas quelle est la ligne de commande à ajouter, ni à quelle source il faut se référer pour trouver libqt5concurrent5.
J’ai vu qu’il existe un site internet QT, qui était indiqué dans la description du paquet libt5concurrent5. J’ai donc été sur le site et j’ai téléchargé et installé (en utilisant le Terminal) QT5 pensant que cela pourrait peut-être régler le problème mais cela ne fut pas le cas.

Si quelqu’un aurait par hasard une nouvelle piste ou encore mieux une solution à m’indiquer, je lui en serait reconnaissant.
Pour information, j’utilise donc Debian avec bureau LXDE sur un ordinateur portable HP EliteBook 2530p (amd64)

Bonjour Tarzoon

Bienvenue sur ce forum :grinning:

Comment as-tu procédé pour installer le paquetage openscad ?

Je viens de l’installer et n’ai rencontré aucun problème :

michel@debvirt:~$ su -
Mot de passe : 
root@debvirt:~# apt install openscad
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Les paquets supplémentaires suivants seront installés : 
  lib3mf1 libboost-program-options1.67.0 libboost-regex1.67.0 libcgal13 libglew2.1 libopencsg1 libqscintilla2-qt5-13 libqscintilla2-qt5-l10n libqt5concurrent5 libqt5gamepad5
  libqt5multimedia5 libsdl2-2.0-0 libspnav0 libzip4 openscad-mcad
Paquets suggérés :
  glew-utils libqscintilla2-doc spacenavd meshlab geomview librecad openscad-testing
Les NOUVEAUX paquets suivants seront installés :
  lib3mf1 libboost-program-options1.67.0 libboost-regex1.67.0 libcgal13 libglew2.1 libopencsg1 libqscintilla2-qt5-13 libqscintilla2-qt5-l10n libqt5concurrent5 libqt5gamepad5
  libqt5multimedia5 libsdl2-2.0-0 libspnav0 libzip4 openscad openscad-mcad
0 mis à jour, 16 nouvellement installés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de prendre 6 494 ko dans les archives.
Après cette opération, 27,9 Mo d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer ? [O/n] 
Réception de :1 http://deb.debian.org/debian buster/main amd64 lib3mf1 amd64 1.8.1+ds-3 [384 kB]
Réception de :2 http://deb.debian.org/debian buster/main amd64 libboost-program-options1.67.0 amd64 1.67.0-13+deb10u1 [357 kB]
Réception de :3 http://deb.debian.org/debian buster/main amd64 libboost-regex1.67.0 amd64 1.67.0-13+deb10u1 [485 kB]
Réception de :4 http://deb.debian.org/debian buster/main amd64 libcgal13 amd64 4.13-1+b2 [333 kB]
Réception de :5 http://deb.debian.org/debian buster/main amd64 libglew2.1 amd64 2.1.0-4 [161 kB]
Réception de :6 http://deb.debian.org/debian buster/main amd64 libopencsg1 amd64 1.4.2-1+b1 [199 kB]
Réception de :7 http://deb.debian.org/debian buster/main amd64 libqscintilla2-qt5-l10n all 2.10.4+dfsg-2.1 [53,7 kB]
Réception de :8 http://deb.debian.org/debian buster/main amd64 libqscintilla2-qt5-13 amd64 2.10.4+dfsg-2.1 [1 044 kB]
Réception de :9 http://deb.debian.org/debian buster/main amd64 libqt5concurrent5 amd64 5.11.3+dfsg1-1+deb10u3 [57,2 kB]
Réception de :10 http://deb.debian.org/debian buster/main amd64 libsdl2-2.0-0 amd64 2.0.9+dfsg1-1 [401 kB]
Réception de :11 http://deb.debian.org/debian buster/main amd64 libqt5gamepad5 amd64 5.11.3-2 [61,7 kB]
Réception de :12 http://deb.debian.org/debian buster/main amd64 libqt5multimedia5 amd64 5.11.3-2 [297 kB]
Réception de :13 http://deb.debian.org/debian buster/main amd64 libspnav0 amd64 0.2.3-1 [8 476 B]
Réception de :14 http://deb.debian.org/debian buster/main amd64 libzip4 amd64 1.5.1-4 [50,7 kB]
Réception de :15 http://deb.debian.org/debian buster/main amd64 openscad amd64 2019.01~RC2-2 [2 556 kB]
Réception de :16 http://deb.debian.org/debian buster/main amd64 openscad-mcad all 2019.02-1 [43,8 kB]
6 494 ko réceptionnés en 2s (4 188 ko/s)    
Sélection du paquet lib3mf1:amd64 précédemment désélectionné.
(Lecture de la base de données... 114223 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../00-lib3mf1_1.8.1+ds-3_amd64.deb ...
Dépaquetage de lib3mf1:amd64 (1.8.1+ds-3) ...
Sélection du paquet libboost-program-options1.67.0:amd64 précédemment désélectionné.
Préparation du dépaquetage de .../01-libboost-program-options1.67.0_1.67.0-13+deb10u1_amd64.deb ...
Dépaquetage de libboost-program-options1.67.0:amd64 (1.67.0-13+deb10u1) ...
Sélection du paquet libboost-regex1.67.0:amd64 précédemment désélectionné.
Préparation du dépaquetage de .../02-libboost-regex1.67.0_1.67.0-13+deb10u1_amd64.deb ...
Dépaquetage de libboost-regex1.67.0:amd64 (1.67.0-13+deb10u1) ...
Sélection du paquet libcgal13:amd64 précédemment désélectionné.
Préparation du dépaquetage de .../03-libcgal13_4.13-1+b2_amd64.deb ...
Dépaquetage de libcgal13:amd64 (4.13-1+b2) ...
Sélection du paquet libglew2.1:amd64 précédemment désélectionné.
Préparation du dépaquetage de .../04-libglew2.1_2.1.0-4_amd64.deb ...
Dépaquetage de libglew2.1:amd64 (2.1.0-4) ...
Sélection du paquet libopencsg1:amd64 précédemment désélectionné.
Préparation du dépaquetage de .../05-libopencsg1_1.4.2-1+b1_amd64.deb ...
Dépaquetage de libopencsg1:amd64 (1.4.2-1+b1) ...
Sélection du paquet libqscintilla2-qt5-l10n précédemment désélectionné.
Préparation du dépaquetage de .../06-libqscintilla2-qt5-l10n_2.10.4+dfsg-2.1_all.deb ...
Dépaquetage de libqscintilla2-qt5-l10n (2.10.4+dfsg-2.1) ...
Sélection du paquet libqscintilla2-qt5-13 précédemment désélectionné.
Préparation du dépaquetage de .../07-libqscintilla2-qt5-13_2.10.4+dfsg-2.1_amd64.deb ...
Dépaquetage de libqscintilla2-qt5-13 (2.10.4+dfsg-2.1) ...
Sélection du paquet libqt5concurrent5:amd64 précédemment désélectionné.
Préparation du dépaquetage de .../08-libqt5concurrent5_5.11.3+dfsg1-1+deb10u3_amd64.deb ...
Dépaquetage de libqt5concurrent5:amd64 (5.11.3+dfsg1-1+deb10u3) ...
Sélection du paquet libsdl2-2.0-0:amd64 précédemment désélectionné.
Préparation du dépaquetage de .../09-libsdl2-2.0-0_2.0.9+dfsg1-1_amd64.deb ...
Dépaquetage de libsdl2-2.0-0:amd64 (2.0.9+dfsg1-1) ...
Sélection du paquet libqt5gamepad5:amd64 précédemment désélectionné.
Préparation du dépaquetage de .../10-libqt5gamepad5_5.11.3-2_amd64.deb ...
Dépaquetage de libqt5gamepad5:amd64 (5.11.3-2) ...
Sélection du paquet libqt5multimedia5:amd64 précédemment désélectionné.
Préparation du dépaquetage de .../11-libqt5multimedia5_5.11.3-2_amd64.deb ...
Dépaquetage de libqt5multimedia5:amd64 (5.11.3-2) ...
Sélection du paquet libspnav0 précédemment désélectionné.
Préparation du dépaquetage de .../12-libspnav0_0.2.3-1_amd64.deb ...
Dépaquetage de libspnav0 (0.2.3-1) ...
Sélection du paquet libzip4:amd64 précédemment désélectionné.
Préparation du dépaquetage de .../13-libzip4_1.5.1-4_amd64.deb ...
Dépaquetage de libzip4:amd64 (1.5.1-4) ...
Sélection du paquet openscad précédemment désélectionné.
Préparation du dépaquetage de .../14-openscad_2019.01~RC2-2_amd64.deb ...
Dépaquetage de openscad (2019.01~RC2-2) ...
Sélection du paquet openscad-mcad précédemment désélectionné.
Préparation du dépaquetage de .../15-openscad-mcad_2019.02-1_all.deb ...
Dépaquetage de openscad-mcad (2019.02-1) ...
Paramétrage de libboost-program-options1.67.0:amd64 (1.67.0-13+deb10u1) ...
Paramétrage de libcgal13:amd64 (4.13-1+b2) ...
Paramétrage de libboost-regex1.67.0:amd64 (1.67.0-13+deb10u1) ...
Paramétrage de libqscintilla2-qt5-l10n (2.10.4+dfsg-2.1) ...
Paramétrage de libzip4:amd64 (1.5.1-4) ...
Paramétrage de libqt5multimedia5:amd64 (5.11.3-2) ...
Paramétrage de openscad-mcad (2019.02-1) ...
Paramétrage de lib3mf1:amd64 (1.8.1+ds-3) ...
Paramétrage de libqscintilla2-qt5-13 (2.10.4+dfsg-2.1) ...
Paramétrage de libglew2.1:amd64 (2.1.0-4) ...
Paramétrage de libsdl2-2.0-0:amd64 (2.0.9+dfsg1-1) ...
Paramétrage de libqt5concurrent5:amd64 (5.11.3+dfsg1-1+deb10u3) ...
Paramétrage de libspnav0 (0.2.3-1) ...
Paramétrage de libqt5gamepad5:amd64 (5.11.3-2) ...
Paramétrage de libopencsg1:amd64 (1.4.2-1+b1) ...
Paramétrage de openscad (2019.01~RC2-2) ...
Traitement des actions différées (« triggers ») pour mime-support (3.62) ...
Traitement des actions différées (« triggers ») pour libc-bin (2.28-10) ...
Traitement des actions différées (« triggers ») pour man-db (2.8.5-2) ...
Traitement des actions différées (« triggers ») pour shared-mime-info (1.10-1) ...
Traitement des actions différées (« triggers ») pour desktop-file-utils (0.23-4) ...
root@debvirt:~# 

J’aurai pu faire avec le gestionnaire de paquetage,
mais j’ai préféré la ligne de commande, espérant pouvoir rencontrer le même problème que toi,
et trouver une solution en me basant sur les messages retournés.

Mais il n’y a eu aucun message d’erreur puisque tout s’est bien installé.

Merci MicP pour ton accueil et pour ton message, grâce à toi j’ai réussi à installer OpenScad.
En fait au départ j’utilisais le gestionnaire de paquets Synaptic et c’est par ce biais que le message d’erreur par rapport au paquet libqt5concurrent5 apparaissait.
J’ai donc essayé un installation en utilisant la ligne de commande.
Le même problème est apparu mais il m’a été proposé d’utiliser apt-get update:

E: Impossible de récupérer http://deb.debian.org/debian/pool/main/q/qtbase-opensource-src/libqt5concurrent5_5.11.3+dfsg1-1_amd64.deb  404  Not Found [IP : 151.101.120.204 80]
E: Impossible de récupérer certaines archives, peut-être devrez-vous lancer apt-get update ou essayer avec --fix-missing ?

C’est donc ce que j’ai fait puis j’ai à nouveau lancé une installation d’OpenScad en utilisant la ligne de commande et cette fois tout a fonctionné comme sur des roulettes (exactement comme pour toi donc).

Merci encore MicP, je ne pensais pas que j’allais pouvoir régler ce problème aussi rapidement.

Merci pour ton retour. :grinning:

Je pense qu’il vaut mieux prendre l’habitude de toujours faire une mise à jour de la liste des paquetages avant d’en installer un.

D’autant que, même si sans le faire, ça peut parfois fonctionner,
avoir des paquetages récents permet d’éviter de se retrouver avec des failles de sécurité ou bugs
qui seraient corrigées dans des versions plus récentes de ces paquetages.

Et puis, c’est vrai que la ligne de commande est vraiment plus bavarde,
et la commande apt est même encore plus bavarde que apt-get avec l’option update
puisqu’elle nous informe en retour de la liste des paquetages qui pourraient être mis à jour
et/ou de la liste des paquetages qui ne sont plus utilisés et qui pourraient être désinstallés.